# Send notification to users (USR)

## Send notification to users (USR)

<mark style="color:green;">`POST`</mark> `{{baseURL}}/tool/organizations/{{orgId}}/notifications`

Target specific users to send a notification to.

**Headers**

<table><thead><tr><th width="302.91796875">Name</th><th>Value</th></tr></thead><tbody><tr><td>Authorization</td><td><p><code>Bearer &#x3C;token></code></p><p>Bearer Token - format:<br>BEARER XXXXXXXXXXXXXX</p></td></tr></tbody></table>

**Body**

Configure the following properties in the JSON body:

<table><thead><tr><th width="163.51953125">Name</th><th width="136.359375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>Title of the notification.</td></tr><tr><td><code>text</code></td><td>string</td><td>Notification message.</td></tr><tr><td><code>scope</code></td><td>string</td><td>"USR" for individual users.</td></tr><tr><td><code>emails</code> </td><td>string</td><td>List users' email addresses using a comma-delimited format for multiple addresses.</td></tr></tbody></table>

{% code title="JSON body" %}

```json
{
  "content": {
    "title": "Approved",
    "text": "Your overtime for this month has been approved",
    "screen":"jig"
    
  },
  "scope": "USR",
  "emails": [
    "username@jigx.com"
  ]
}
```

{% endcode %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "organizationId": "{{orgId}}",
    "region": "us-east-1",
    "notificationId": "fdb9af93-100a-4b1b-8135-972bcfe4a5df",
    "scope": "USR",
    "emails": [
        "username@jigx.com"
    ],
    "state": "QUEUED",
    "startAt": "2025-04-04T08:18:54.435Z",
    "content": {
        "text": "Your overtime for this month has been approved",
        "title": "Approved",
        "screen": "jig",
        "inputs": {}
    },
    "createdAt": "2025-04-04T08:18:54.435Z",
    "createdBy": "{{userId}}",
    "updatedAt": "2025-04-04T08:18:54.435Z",
    "updatedBy": "{{userid}}"
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/send-notification-to-users-_usr_.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
